Package org.eclipse.swt.events

## Interface TouchListener

    public interface TouchListener

Classes which implement this interface provide methods that deal with the events that are generated as touches occur on a touch-aware input surface.

After creating an instance of a class that implements this interface it can be added to a control using the `addTouchListener` method and removed using the `removeTouchListener` method. When a touch occurs or changes state, the `touch` method will be invoked.

Since:
  1.4
See Also:
  `TouchEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `touch​(TouchEvent e)` Sent when a touch sequence begins, changes state, or ends.

### Method Detail

#### touch

    void touch​(TouchEvent e)

Sent when a touch sequence begins, changes state, or ends.

Parameters:
  `e` - an event containing information about the touch